% Giant Steps - John Coltrane
% Transcribed by Brad Smith, 10/19/2012
% http://rainwarrior.ca

\version "2.16.0" % lilypond version
\header {
    title = "Giant Steps"
    composer = "John Coltrane"
    tagline = \markup { \center-column { "Transcription by Brad Smith" "http://rainwarrior.ca" } }
}

\pointAndClickOff

\include "english.ly"

glissin = #(define-music-function
            (parser location notea noteb)
            (ly:pitch? ly:music?)
            #{
                \grace $notea 8 \glissando $noteb
            #})

ghost = #(define-music-function
          (parser location note)
          (ly:music?)
          #{
              \parenthesize $note
          #})
          
% saxophone

saxA = { % 0:00 head
    fs'4
        ^ \markup { \column {
            \concat { "Swing 16" \super "th" " notes" }
            \line { \bold "Saxophone" } } }
        \grace d'8 ~ d'4 \grace b8 ~ b4 \grace g8 ~ g8. bf16 ~ |
    bf4. r8 b8. a16 ~ a4 |
    d'4 \grace bf8 ~ bf4 \grace g8 ~ g4 \grace ef8 ~ ef8. gf16 ~ |
    gf4. r8 \glissin f g4 f8. bf16 ~ |
    bf2 b4 a8. d'16 ~ |
    d'4 r4 ds'4 ds'8. fs'16 ~ |
    fs'2 \glissin f' g'4 g'8. bf'16 ~ |
    bf'2 gf'8. gf'16 r4 |
}
saxB = { % 0:13 head
    fs'4 \grace d'8 ~ d'4 \grace b8 ~ b4 \grace g8 ~ g8. bf16 ~ |
    bf4. r8 b8. a16 ~ a4 |
    d'4 \grace bf8 ~ bf4 \grace g8 ~ g4 \grace ef8 ~ ef8. gf16 ~ |
    gf4. r8 g4 f8. bf16 ~ |
    bf4. r8 b4 a8. d'16 ~ |
    d'4. r8 ds'4 ds'8. fs'16 ~ |
    fs'2 \glissin f' g'4 g'8. bf'16 ~ |
    bf'4. r8 cs'16 e' gs' b' as'8. gs'16 |
}
saxC = { % 0:27
    fs'16 ds' b r d' e' fs'! a' g' d' b r \grace g8 c'16 af  g  f  |
    ef16 f g af bf c' d' f' e' c' a g fs ef' d' c' |
    b16 d' g' b' d' f' af' c'' ef' f' g' bf' ff' af'! bf'! df'' |
    bf'8 af'16 gf' r4 bf'!16 a' af' g' f' ef' d' c' |
    bf16 af' g' d' f' ef' d' f' e' c' a e g e fs ef' |
    d'16 c' b a g a b d' ef' df' cf' bf af gf af bf |
    cf'16 df' ef' gf' bf' a' af' g' f' r8. g'16 fs' f' d' |
    ef'16 f' g' bf' ef'' bf'! r8 r8 bf'!32 cf'' bf'16 ~ bf'8. gf'16 |
}
saxD = { % 0:40
    \glissin b' d''4.. c''16 b' d' g' b' as' a' gs' c'' |
    bf'16 g' f' ef' g' ef' r8 \glissin g' d''8. bf'!16 r fs' d' r |
    r16 d' g' b' d' f' af' c'' ef' f' g' bf' \times 2/3 { ff'8 af'! bf'! } |
    gf'8. ef'16 df' c' b g c' d' ef'! c' g' f' d' c' |
    bf16 r r af' g' ef' r8 r16 a \times 2/3 { c' e' g' } b' a' fs' e' |
    d'16 e' fs' a' g' a' b' as' ~ as'8 b'8 ~ b'8 \grace as'!8 b'16 r |
    as'16 fs' gs' as' fs' ds' cs' b c' d' ef' c' g' f' d' c' |
    bf8. g'16 r4 r16 cs' \times 2/3 { e' gs' b' } fs' gs' as' cs'' |
}
saxE = { % 0:53
    as'16 cs' ds' fs' d' e' fs' a' g' d' b g c' af g f |
    ef16 f g af bf c' d' f' e' \ghost g' r8 b'16 d' e' fs' |
    g'16 a' b' d'' af' c'' bf' af'! g' ef' f' g' e' fs' gs' as' |
    cs''8 as'16 gs' fs' ds' r8 r4 \glissin bf' d''8 d'16 c'' |
    bf'16 af' g' f' ef' f' g' bf'! \glissin bf' d''4.. cs''32 c''32 |
    b'16 fs' a' fs' g' d' b g ef' cf' bf gf af gf af bf |
    b16 cs' ds' fs' a' fs'! ds'! b af'8. g'16 f' ef' d' c' |
    bf16 af g f ef f g bf! ef' bf! r8 r4 |
}
saxF = { % 1:07
    r16 fs b ds' d' e' fs' a' g' d' b g c' af g f |
    ef16 f g af bf c' d' f' e' \ghost g' r8 \grace g'8 b'16 \ghost d \ghost e' a' |
    g'16 a' b' c'' d' f' af' c'' ef' f' g' r r4 |
    gf'16 r ef' df' cf' df'! ef'! gf'! bf' a' af' g' f' ef'! d' c' |
    bf16 af' g' d' f' ef' d' f' e' c' a e g8 fs |
    \grace fs8 d'8 r d'32 g' b'16 r8 r16 cs' \times 2/3 { e' gs' b' } as'8 cs'' |
    cs''8. as'16 fs' ds' r8 \glissin bf' d''8. cs''!32 c'' bf'16 af' g' f' |
    ef'16 f' g' bf' ef'' r8. r16 ds'' cs'' b' as'8. fs'16 |
}
saxG = { % 1:20
    \glissin b' d''4.. c''16 b' d' g' b' bf' a' af' c'' |
    bf'16 g' f' ef' g' bf'!8 ef''16 r \ghost d' r b' a' r8. |
    r16 d' g' b' d' f' af' c'' ef' f'8 g'32 bf' ef''8 df''16 cf'' |
    bf'16 af' gf' ff' ef' df' cf' g c' d' ef'! f' g' f' d' c' |
    bf16 af' g' d' f' ef' d' c' a' g' r8 \grace g'8 b'8 g'16 b' ~ |
    b'8. g'16 b' d'' r8 r16 cs' \times 2/3 { e' gs' b' } as'16 \glissin b' cs''8. ~ |
    cs''8 as'16 gs' fs' ds' b r \glissin bf' d''8. cs''32 c'' bf'!16 af' g' f' |
    ef'16 f' g' bf' ef'' r8. \glissin as' cs''4. cs''!16 as'! |
}
saxH = { % 1:33
    gs'16 fs' ds' b d' e' fs'! a' g' d' b g c' ef' d' c' |
    bf16 c' d' f' ef' f' g' bf' b' a' g' fs' r4 |
    r16 d' g' b' d' f' af' c'' ef' f' g' bf' ff' af'! bf'! df'' |
    bf'16 af' bf'! gf' bf'! a' af' g' f' ef' d' c' bf af g f |
    \times 2/3 { ef16 f g af bf c' } d'32 ef' g' af' bf'16 r
        r8 \times 2/3 { a16 b c' } d'32 e' g' a' b'8 ~ |
    b'4 r16 fs' \grace g'8 a'16 g' r16 cs' \times 2/3 { e' gs' b' } as'8 \grace as'!8 ds''8 |
    cs''8. as'16 fs' ds' r8
        r16 \glissin bf' d''8 cf''16 bf'! af' g' f' |
    ef'16 d' f' d' ef'! f' g' bf' ef'! cf' af ff bf gf af! bf! |
}
saxI = { % 1:46
    b16 cs' ds' fs' d' e' fs' a' g' d' b g c' ef' d' c' |
    bf16 g' r4. \glissin fs' g'8. e'16 fs'! g' a' b' |
    g'8 r16 b'32 d'' af'16 c'' bf' af' g' ef' f' g' e' fs' gs' as' |
    cs''8 as'16 gs' fs' ds' b r c' d' ef' f' g' f' d' c' |
    bf16 af' g' d' f' ef' d' f' e' c' a e d'8 d'16 c' |
    b16 d' e' fs' r4 r16 cs'16 \times 2/3 { e' gs' b' } as'8 fs'! |
    fs'8. ds'16 cs'8 b16 r c' d' ef' c' g' f' d' c' |
    bf16 ef' f' g' r g' bf'8 r4 r16 \glissin gs' as'8. ~ | 
}
saxJ = { % 2:00
    as'8. fs'16 d'' c'' r a' r c'' b' r g' b' bf' a' |
    af'16 c'' bf' g' f' ef' g' bf'! e' c' r8 b'16 a' fs' e' |
    d'16 e' fs' a' d' f' af' c'' ef' f' g' bf' e' fs' gs' as' |
    cs''16 r as' gs' fs' ds' b r g' af' \times 2/3 { g' f' ef' } d' c' bf af |
    g16 bf c' d' f' ef' g' g' r4 g'16 e' fs' a' |
    g'16 d' b g d' r8. \grace b8 ds'16 r b fs as8. fs!16 |
    b16 cs' ds' fs' as' a' gs' g' f' g' af' f' bf' gf' d' bf |
    g'16 ef' d' f' ef' r8. r8. \glissin f' gf'16 ~ gf'4 |
}
saxK = { % 2:13
    b16 cs' ds' fs' d' e' fs'! a' d'8[ ~ \times 2/3 { d'16 g' b'] } af'8 \grace c''8 bf'8] ~ |
    bf'8. \grace af'8 bf'16 g' \grace f'8 ~ f'16 ef'16 r16 r16 a16 r8 \grace fs'8 b'16 r d' r |
    g'16 a' b' c''32 b' bf'16 a' af' c'' bf'! g' f' ef' e' fs' gs' as' |
    cs''16 as' gs' fs' ds' cs' b \ghost g c' d' ef' g' f' r8. |
    r16 af' g' d' f' ef' d' c' e' \ghost g' r8 b'16 a' fs' e' |
    d'16 e' \times 2/3 { fs' a' a' } g' d' b g \ghost ds'16 r8. ds'!8. as16 ~ |
    as8. fs16 b cs' ds' fs' as' a' gs' g' f' ef' d' c' |
    bf16 af' g' d' f' ef' d' c' ds' b gs e as8. fs16 | 
}
saxL = { % 2:26
    b16 cs' ds' fs' d' e' fs'! a' g' r8. r16 \glissin bf' d''8 cs''32 c'' |
    bf'16 af' g' f' ef' f' g' bf'! ef'' r8. \glissin bf' d''8. c''16 |
    b'16 d' g' b' af' c'' bf' af'! g' r8. e'16 fs' gs' as' |
    cs''16 as' gs' fs' ds'8 b16 g ef'16 f' g' f' bf' gf' d' c' |
    bf16 \ghost g' \ghost af' f' ef' f' g' \ghost as' b' a' g' fs' r e' d' c' |
    b16 d' g' a' b' d' g' b' as' r8. \glissin as' cs''4 |
    bf'8. df''16 bf'! gf' ef' b! c' d' ef'! f' g' f' d' c' |
    bf16 ef' \times 2/3 { f' g' bf' } ef''8[ bf'!16 c''] r16 bf'!8. r4 |
}
saxM = { % 2:40
    r8. \glissin as' cs''16 ~ cs''16 d''8 b'16 r c'' b' g' af' c'' bf' r |
    r8. \glissin bf' d''16 ~ d''8. c''16 \times 2/3 { bf'8 g' ef' } \glissin g' d''8. c''16 |
    b'16 d' g' b' d' f' af' c'' ef' f' g' bf' ef''4 |
    r8 cs''16 b' as' fs' ds' b \glissin as' d''8 cs''!16 c'' bf' a' af' g' |
    f'16 ef' d' c' bf c' d' f' e' g' r8 \glissin g' d''8. c''16 |
    b'16 d' fs' a' r a' g' r r8. \glissin af' bf'16 ~ bf'8. gf'16 |
    gs'16 as' fs' ds' r ds'! b \ghost g c' d' ef' c' g' f' d' c' |
    bf16 c' d' f' ef' f' g' bf' ef'! cf' af ff bf!4 |
}
saxN = { % 2:53 piano solo
    b16 cs' ds' fs' d' r \ghost b \ghost g \ghost d' \ghost b8. r4 |
    r1 | r1 | r1 | r1| r1 | r1 | r1 |
}
saxO = { % 3:06 piano solo
    r1 | r1 | r1 | r1 | r1 | r1 | r1 | r1 |
}
saxP = { % 3:18 piano solo
    r1 | r1 | r1 | r1 | r1 | r1 | r1 | r1 |
}
saxQ = { % 3:31 piano solo
    r1 | r1 | r1 | r1 | r1 | r1 | r1 | r1 |
}
saxR = { % 3:44 sax resumes
    b16 cs' ds' fs' d' e' fs'! a' g' d' b g c' af g f |
    ef16 f g af bf c' d' f' e' c' e' g' b' a' fs' e' |
    d'16 e' g' b' d' f' af' c'' ef' f' g' bf' e' fs' gs' as' |
    cs''8 as'16 gs' fs' ds' b r \glissin bf' d''8. c''16 bf'! af' g' f' |
    ef'16 f' g' bf' ef'' r8. r8 \glissin b' d''8 ~ d''4 ~ |
    d''8 b'16 fs' r fs'! e' r fs'!8. e'16 fs'!8 e'16 ds' ~ |
    ds'8 fs' \glissin as' cs''8. b'16 as'!4 ~ as'8. gs'16 |
    g'16 ef' d' f' ef'! f' g' bf' b'8 r r4 |
}
saxS = { % 3:57
    r16 ds' fs' b' d' e' fs'! a' g' d' b g c' af g f |
    ef16 f g af bf c' d' f' e' g' r8 \grace g'8 b'16 d' g' b' |
    g'16 a' b' d'' af' c'' bf' af'! g'8 f'16 g' e'16 fs' gs' as' |
    cs''16 as' gs' fs' ds' cs' b g c' d' ef' f' g' f' d' c' |
    bf16 af' g' d' f' ef' d' f' e'8 \times 2/3 { g'16 e' g' } b'8 a'16 r |
    a'8. fs'16 d' b r8 r a' gs' b' |
    as'8. fs'16 ds'8 b16 r \glissin bf' d''8. c''32 b' bf'8. af'16 |
    g'16 f'8 ef'16 ~ ef'8. df'16 ef'! gf'8. r4 |
}
saxT = { % 4:10 head
    \glissin e' fs'4 \grace d'8 ~ d'4 \grace b8 ~ b4 \grace g8 ~ g8. bf16 ~ |
    bf4. r8 b8. a16 ~ a8. r16 |
    d'4 \grace bf8 ~ bf4 \grace g8 ~ g4 \grace ef8 ~ ef8. gf16 ~ |
    gf4. r8 \glissin f g4 g8. bf16 ~ |
    bf4. r8 b4 a8. d'16 ~ |
    d'4. r8 ds'4 ds'8. fs'16 ~ |
    fs'2 \glissin fs' g'4 g'8. bf'16 ~ |
    bf'2 gf'8. gf'16 r4 |
}
saxU = { % 4:24 head + noodle ending
    fs'4 \grace d'8 ~ d'4 \grace b8 ~ b4 \grace g8 ~ g8. bf16 ~ |
    bf4. r8 b8. a16 ~ a8. r16 |
    d'4 \grace bf8 ~ bf4 \grace g8 ~ g4 \grace ef8 ~ ef8. gf16 ~ |
    gf4. r8 \glissin f g4 g8. bf16 ~ |
    bf4. r8 b4 a8. d'16 ~ |
    d'4. r8 ds'4 cs'8. fs'16 ~ |
    fs'2 \glissin f' g'4 g'8. bf'16 ~ |
    bf'4...
        \cadenzaOn \grace {
            a'8 [ bf' c'' bf'! af' g' ]
            fs' [ g' af'! g' f' ef' ]
            d' [ ef'! f' ef'! c' bf ]
            a [ bf! c' bf! a g ]
            fs [ g af g f ef ]
            d [ ef! f ef! ]
        } \cadenzaOff |
        c16 bf,2...
}

saxophone = {
    \override Glissando #'thickness = #3.0
    % head
    \saxA \bar "||" \break
    \saxB \bar "||" \break
    % sax solo
    \saxC \bar "||" \break
    \saxD \bar "||" \break
    \saxE \bar "||" \break
    \saxF \bar "||" \break
    \saxG \bar "||" \break
    \saxH \bar "||" \break
    \saxI \bar "||" \break
    \saxJ \bar "||" \break
    \saxK \bar "||" \break
    \saxL \bar "||" \break
    \saxM \bar "||" \break
    % piano solo
    \saxN \bar "||" \break
    \saxO \bar "||" \break
    \saxP \bar "||" \break
    \saxQ \bar "||" \break
    % sax solo
    \saxR \bar "||" \break
    \saxS \bar "||" \break
    % head out
    \saxT \bar "||" \break
    \saxU \bar "|." \break
}

% bass

bassA = { % 0:00 head
    b4
        ^ \markup { \bold "Bass" }
    a4 g f8. ef16 ~ |
    ef8 d c bf, a g fs a |
    g4 f ef cs8. b,16 ~ |
    b,8 fs b fs f g af bf |
    ef8 bf g ef a d e fs |
    g8 a b g cs cs fs as, |
    b,8 fs b fs f g af bf |
    ef8 bf g ef cs e fs c |
}
bassB = { % 0:13 head
    b,4 a, g, f,8. ef,16 ~ |
    ef,8 ef g bf a g fs d |
    g4 f ef cs8. b,16 ~ |
    b,8 fs as b f g af bf |
    ef8 bf g ef a a d d |
    g8 a b g cs cs fs bs, |
    b,8 fs as b f g af bf |
    ef8 d c bf, cs e fs as, |
}
bassC = { % 0:27
    b,8 b a fs d g f bf |
    ef bf g ef e a d a |
    g d bf, bf ds as b fs |
    b fs b fs f g af bf |
    ef bf g ef e a d a |
    g d b, d cs e fs bs, |
    b, fs as b f g af bf |
    ef d c bf, cs e fs bs, |
}
bassD = { % 0:40
    b,8 b a fs d cf bf, f |
    bf ef g bf a g fs e |
    d cf bf, bf ef bf gf df |
    b, fs as b f g af bf |
    ef bf g ef a g fs e |
    d c b, d cs e fs c |
    b, fs as b f g af a |
    bf af g f e cs fs bs, |
}
bassE = { % 0:53
    b,8 b a fs d cf bf, bf |
    ef bf g ef e g a d |
    g f f bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g d b, d cs e fs bs, |
    b, fs as b f g af a |
    bf af g d cs e fs c |
}
bassF = { % 1:07
    b,8 b a fs d cf bf, bf |
    ef bf g ef a b c' d' |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g a b g b e bf gf |
    b as gs b f g af a |
    bf g g ef e cs fs c |
}
bassG = { % 1:20
    b,8 b a d g d bf, bf |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g a b g b cs' d' as |
    b as gs b f g af a |
    bf af g ef af e ef df |
}
bassH = { % 1:33
    b,8 b d d' g d bf, bf |
    ef bf g ef e a d d' |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g a b g e cs fs bs, |
    b, cs b, b f g af a |
    bf af g ef b b cs' as |
}
bassI = { % 1:46
    b8 fs a d g d' g d |
    bf, ef g bf e a d fs |
    g a bf f g d cs fs |
    b, fs as b f g af a |
    bf af g ef a d e fs |
    g a b g b e as fs |
    b, fs as b f g af a |
    bf af g ef e cs fs bs, |
}
bassJ = { % 2:00
    b,8 b d d' g d bf, bf |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g a b a b cs' d' as |
    b b a b c' f c' b |
    bf g f ef cs e fs bs, |
}
bassK = { % 73 2:13
    b,8 b a fs d cf bf, bf |
    ef bf g ef e a d a |
    g a bf f bf, bf gf df |
    b, fs as b f g af a |
    bf af g ef a d d' d |
    g g d g e cs fs c |
    b, fs as b f g af a |
    bf af g d b cs' d' as |
}
bassL = { % 81 2:26
    b8 fs a d g d bf, bf |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a d' d d' |
    g d b, d cs e fs bs, |
    b, c b, b f g af a |
    bf af g ef gs e ds cs |
}
bassM = { % 97 2:40
    b, b d d' g d bf, bf |
    ef bf g ef a g fs a |
    b g f bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef e a d a |
    g a bf b b e bf gf |
    b, fs as b f g af a |
    bf af g ef gs b as fs |
}
bassN = { % 105 2:53 piano solo
    b8 fs a d g d' f bf |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a g fs d |
    g a b g e cs fs bs, |
    b, fs as b f g af a |
    bf af g ef gs e ds cs |
}
bassO = { % 113 3:06 piano solo
    b,8 b a fs d cf bf, f |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a g fs d |
    g a b g b e as fs |
    b, fs as b f f bf bf |
    ef bf g ef cs e fs bs, |
}
bassP = { % 121 3:18 piano solo
    b,8 b a fs d cf bf, bf |
    ef bf g ef e a d a |
    g d bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a g fs e |
    d c b, d cs e fs bs, |
    b, c b, b f g af a |
    bf af g ef gs e ds cs |
}
bassQ = { % 129 3:31 piano solo
    b,8 b d fs g d bf f |
    ef bf g ef e a d a |
    g g as b cs cs fs fs |
    b, fs as b f g af a |
    bf af g ef a g fs e |
    d c b, d cs e fs cs |
    b, fs as b f f bf bf |
    ef bf g ef gs e ds cs |
}
bassR = { % 137 3:44 sax resumes
    b,8 b a fs d cf bf, bf |
    ef bf g ef e a d a |
    g ef bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a g fs e |
    d c b, d cs e fs c |
    b, cs b, fs f g af a |
    bf af g ef gs e ds cs |
}
bassS = { % 145 3:57
    b,8 b a fs d cf bf, bf |
    ef bf g ef a g fs e |
    d cf bf, bf ef bf gf df |
    b, fs as b f g af a |
    bf af g ef a g fs e |
    d c b, d cs e fs c |
    b, c b, b f g af a |
    bf af g ef gs e ds cs |
}
bassT = { % 4:10 head
    b4 a g f8. ef16 ~ |
    ef8 bf g ef a a d d |
    g4 f ef cs8. b,16 ~ |
    b,8 fs as b f g af a |
    bf af g ef a a d d |
    g a b g b cs' d' as |
    b as gs b f g af bf |
    ef bf g ef gs e ds cs |
}
bassU = { % 4:24 head
    b4 a g f8. ef16 ~ |
    ef8 bf g ef a d e fs |
    g4 f ef cs8. b,16 ~ |
    b,8 fs as b f g af a |
    bf af g ef e a d a |
    g d b, d cs e fs bs, |
    b, fs as b f4 bf8. ef16 ~ |
    ef1 |
}

bass = {
    % head
    \bassA \bar "||" \break
    \bassB \bar "||" \break
    % sax solo
    \bassC \bar "||" \break
    \bassD \bar "||" \break
    \bassE \bar "||" \break
    \bassF \bar "||" \break
    \bassG \bar "||" \break
    \bassH \bar "||" \break
    \bassI \bar "||" \break
    \bassJ \bar "||" \break
    \bassK \bar "||" \break
    \bassL \bar "||" \break
    \bassM \bar "||" \break
    % piano solo
    \bassN \bar "||" \break
    \bassO \bar "||" \break
    \bassP \bar "||" \break
    \bassQ \bar "||" \break
    % sax solo
    \bassR \bar "||" \break
    \bassS \bar "||" \break
    % head out
    \bassT \bar "||" \break
    \bassU \bar "||" \break
}

% piano melody

pianoTA = {
    r1 ^ \markup { \bold "Piano Chord Model" } |
        r1 | r1 | r1 |
    r1 | r1 | r1 | r1 |
}
pianoTN = {
    r1 ^ \markup { \bold "Piano Solo" } |
    r4 f'16 ef' d' ef' e' g' b' d'' c'' b' a' r |
    r16 g' b' d'' fs'' g'' r8 \times 2/3 { r8 f'' ef'' } d''16 c'' bf' af' |
    r4 r8 ef'16 gf' \times 2/3 { bf'8 df'' \ghost cf'' } r4 |
    r4 bf'16 g' f' ef' e' g' b' d'' c'' b' a' \ghost g' |
    r16 g' b' r fs'' g'' r8 r4 gs''16 fs''! e'' r |
    fs''8. fs''16 ~ fs''4 r8 g''16 ef'' c'' af' g' f' |
    bf'8. g'16 f' ef'8 r16 r8 cs'16 ds' e' fs' gs' as' |
}
pianoTO = {
    b'8 r b'4 ~ b'8 fs'16 g' b' d'' fs'' g'' |
    g''8 r g'16 d'' f'' ef'' d'' c'' r8 r4 |
    r8 d''16 b' a' g' r8 r bf'16 af' g' f' r8 |
    r4 ef'16 gf' bf' df'' bf'! cf'' r8 r4 |
    r4 g''16 d'' r8 e''8. c''16 ~ c''8 a'16 r |
    d''8. b'16 r a' r8 bf'4 af' |
    r4 ef'16 gf' bf' df'' cf'' r8. c''16 af' g' f' |
    bf'16 r ef' af' \ghost g' ef'! r8 r8 \ghost cs'16 ds' e' fs' gs' as' | 
}
pianoTP = {
    b'16 r fs'8 b' fs'! r a'16 g' fs'! g' b' d'' |
    fs''16 g''8 d''16 f'' ef'' r8 r4 e''16 c'' b' a' |
    d''16 b' r8 fs'16 g' r8 r2 |
    r8 ds'16 fs' as' cs'' b' r r8 f'16 af' c'' ef'' g'' d'' |
    f''16 ef'' d'' c'' bf' g' f' ef' e' g' b' d'' \times 2/3 { b'8 g' r } |
    r8 fs'16 g' b' d'' fs'' g'' r2 |
    r4 fs''16 ds'' cs'' as' r4 \grace af'8 \times 2/3 { c''8 ef'' g'' ~ } |
    g''16 bf''8. g''4 r8 gs''8 ~ gs''16 fs''8. ~ |
}
pianoTQ = {
    fs''16 ds''8. ~ ds''4 r d'' |
    b'4. as'8 ~ as' e'' ~ e''16 ds'8. |
    fs'1 ~ |
    fs'4 cs'' c'' b'8 ef'' |
    f''4 ef'' e''8 g'' d'''4 ~ |
    d'''8 d'''4. ~ d'''8 ef''4. |
    bf'4. c''8 ~ c''4 g'' |
    d''4 ef'' af' gf' |
}

% piano chords

pianoBA = {
    <b ds' fs' cs''>4 <c' d' fs'! b'>4
        <g b d' fs'!>4 <f bf d' g'>4 |
    <g bf d' f'>2
        <b c' e' a'>4 <c' d' fs' as'>4 |
    <b d' fs' a'>4 <bf d' f' g'>4
        <g bf! d' f'>4 <gs b ds' fs'>4 |
    <fs cs' ds' as'>2
        <af c' ef' g'>4 <af! c' d' g'>4 |
    <g c' d' bf'>2
        <a c' e' b'>4 <fs c' ds' a'>4 |
    <g b d' a'>2
        <b cs' e' gs'>4 <as cs'! e' fs'>4 |
    <b ds' fs' cs''>2
        <af ef' g' c''>4 <af! d' f' bf'>4 |
    <g d' f' bf'>2
        <gs ds' fs' b'>4 <cs' e' fs'! as'>4 |
}
pianoBN = {
    <b cs' ds'>4 <fs c' d' e'>4 <fs! g b d'>4 <af bf c' d' g'>8.
        <g bf! f'>16 ~ |
    <g bf f'>2 r4 r8. <fs g b>16 ~ |
    <fs g b>8 r8 r <af bf d'>8 r2 |
    r8. <f gf bf>16 ~ <f gf bf>4 r2 |
    <bf, ef g>2 <g a c'>4 r8. <fs g b>16 ~ |
    <fs g b>2 <b cs' e' gs'>4 <cs' e'>16 r8. |
    r8 \ghost <as cs' ds'>16 r16 r4 <ef af>4 \ghost <af!>4 |
    \ghost <ef g>4 r4 \ghost <af, c>8 r8 r4 |
}
pianoBO = {
    r2 <fs b>4 r4 |
    r4 <bf c'>16 r8. r8 \ghost <c'>8 ~ \ghost <c'>16 <fs a c'>8. |
    <fs g b>4. r8 r2 |
    r16 <b, as>4.. r4 <ef af>4 |
    <bf, ef g bf>2 r8. <c'>16 ~ <c'>8 r8 |
    <d fs g b>2 <af bf d'>16 r16 <af! bf! d'>16 r16 <d bf!>8 r8 |
    r8 <b, as>4. <ef af>4 r4 |
    r2 <cs e gs b>4 r4 |
}
pianoBP = {
    r4 <fs b>4 <d fs! b>4 r4 |
    r8. \ghost <g>16 r4 <e g a c'>2 |
    r1 |
    <b, fs>2 <ef af>4 <af!>4 |
    r2 <fs c'>2 |
    <fs b>2 \ghost <bf, ef g bf> |
    r8 <fs>8 <b>8 r8 <ef af>2 |
    <bf~>4 <g af bf! d'>4 ~ <g af bf d'>8 <cs' b' e''>8 ~ <cs'~ b' e''>16 <cs' e' as'>8. ~ |
}
pianoBQ = {
    <cs' e' as'>16 r4.. r4 <fs! g c'>4 |
    <fs g b>4. <g d'>8 ~ <g d'>8 <a' c''>8 ~ <a' c''>16 <fs! as bs>8. |
    <g b d'>1 ~ |
    <g b d'>4 <b ds' fs'>4 <f af ef'>4 <f af! d'>4 |
    <g bf c'>2 <g~ b~ c'~>4 <g b c' c''>4 |
    r8 <d' fs' b'>4. ~ <d' fs' b'>8 <as cs' e' gs'>4. |
    <b ds' fs'>4. <af'>8 ~ <af'>4 <af bf d' d''>4 |
    <g bf c' f'>2 <b e'>4 <as>4 |
}

pianoT = {
    \pianoTA \bar "||" \break
    \set Score.currentBarNumber = #105
    \pianoTN \bar "||" \break
    \pianoTO \bar "||" \break
    \pianoTP \bar "||" \break
    \pianoTQ \bar "||" \break
}
pianoB = {
    \clef "alto"
    \pianoBA \bar "||" \break
    \clef "bass"
    \set Score.currentBarNumber = #104
    \pianoBN \bar "||" \break
    \pianoBO \bar "||" \break
    \pianoBP \bar "||" \break
    \pianoBQ \bar "||" \break
}

% scores

\score {
    \new Staff {
        \clef "treble_8"
        %\tempo 4 = 140
        \time 4/4
        \saxophone
    }
}

\score {
    \new Staff {
        \clef "bass"
        %\tempo 4 = 140
        \time 4/4
        \bass
    }
}

\score {
    \new PianoStaff <<
        \new Staff = "upper" {
            \clef "treble"
            %\tempo 4 = 140
            \time 4/4
            \pianoT
        }
        \new Staff = "lower" {
            \clef "bass"
            %\tempo 4 = 140
            \time 4/4
            \pianoB
        }
    >>
}

% paper formatting

\paper {
    indent = 0
}

% end of file